E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSsl::MbedTls::SecureFile Class Reference

An interface for reading a sensitive file and then overwriting its contents in memory. More...

`#include <gssl_mbedtls.h>`

## Public Member Functions
| SecureFile (const std::string &path, bool with_nul)
const char * | p () const
const unsigned char * | pu () const
unsigned char * | pu ()
size_t | size () const
bool | empty () const

## Detailed Description

An interface for reading a sensitive file and then overwriting its contents in memory.

Definition at line 166 of file gssl_mbedtls.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.cpp